org.apache.cassandra.thrift

## Class ThriftServer

- java.lang.Object
- - org.apache.cassandra.thrift.ThriftServer

- All Implemented Interfaces:
    CassandraDaemon.Server

      public class ThriftServer
      extends java.lang.Object
      implements CassandraDaemon.Server

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftServer(java.net.InetAddress address, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRunning()` Returns whether the server is currently running.
    `void` | `start()` Start the server.
    `void` | `stop()` Stop the server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftServer

          public ThriftServer(java.net.InetAddress address,
                      int port)

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `CassandraDaemon.Server`
      Start the server. This method shoud be able to restart a server stopped through stop(). Should throw a RuntimeException if the server cannot be started
      Specified by:
        `start` in interface `CassandraDaemon.Server`

    - #### stop

          public void stop()

      Description copied from interface: `CassandraDaemon.Server`
      Stop the server. This method should be able to stop server started through start(). Should throw a RuntimeException if the server cannot be stopped
      Specified by:
        `stop` in interface `CassandraDaemon.Server`

    - #### isRunning

          public boolean isRunning()

      Description copied from interface: `CassandraDaemon.Server`
      Returns whether the server is currently running.
      Specified by:
        `isRunning` in interface `CassandraDaemon.Server`

Copyright © 2014 The Apache Software Foundation